### Schema: Start Automation Source: https://api.egoiapp.com/openapi Start automation to the provided contacts ```markdown ## Schema: Start Automation Start automation to the provided contacts **Type:** object - **automation_id** (integer) (required) (example: 1) - **action_id** (integer) (required) (example: 1) - **contacts** (array (contact_body_id)) (required): Array of contact IDs to start automation ``` -------------------------------- ### Schema: Start Automation Source: https://api.egoiapp.com/openapi Start automation to the provided contacts ```markdown ## Schema: Start Automation Start automation to the provided contacts **Type:** object - **automation_id** (integer) (example: 1) - **action_id** (integer) (example: 1) - **success** (array (contact_id)): Array of contacts where the automation was successfully started - **error** (array (contact_id)): Array of contacts where the automation was not successfully started ``` -------------------------------- ### GET /lists Source: https://api.egoiapp.com/openapi Returns all lists ```markdown ### Parameters - **offset** (integer, query, optional): Element offset (starting at zero for the first element) - **limit** (integer, query, optional): Number of items to return - **order** (string (asc|desc), query, optional): Type of order - **order_by** (string (list_id|internal_name|public_name|created|updated), query, optional): Reference attribute to order lists - **internal_name** (string, query, optional): Internal name of the list - **public_name** (string, query, optional): Public name of the list - **created_min** (date_time, query, optional): Created initial date - **created_max** (date_time, query, optional): Created finish - **updated_min** (date_time, query, optional): Updated initial - **updated_max** (date_time, query, optional): Updated finish ### Responses #### 200 - OK - **total_items** (integer): Returned lists (example: 1) - **items** (array (List)): Returned lists Array items: - **list_id** (integer) (example: 1) - **internal_name** (string): Internal name of the list (example: "Internal name") - **public_name** (string) (required): Public name of the list (example: "Public name") - **status** (string (active|blocked)): Status of the list (example: "active") ("active"|"blocked") - **group_id** (integer): ID of the list group - **created** (string (date-time)): The date and time (example: "YYYY-MM-DD hh:mm:ss") - **updated** (string (date-time)): The date and time (example: "YYYY-MM-DD hh:mm:ss") #### 401 - Unauthorized **Unauthorized** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unauthorized)): Error title ("Unauthorized") - **status** (integer): Status code (example: 401) - **detail** (string): Error detail (example: "The request has not been applied because it lacks valid authentication credentials for the target resource") #### 403 - Forbidden **Forbidden** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Forbidden)): Error title ("Forbidden") - **status** (integer): Status code (example: 403) - **detail** (string): Error detail (example: "The server understood the request but refuses to authorize it") #### 408 - Request Timeout **RequestTimeout** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Request Timeout)): Error title ("Request Timeout") - **status** (integer): Status code (example: 408) - **detail** (string): Error detail (example: "The server did not receive a complete request from the client within the server’s allotted timeout period") #### 422 - Unprocessable Entity **UnprocessableEntity** - **errors** (object): Information about the input validation - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unprocessable Entity)): Error title ("Unprocessable Entity") - **status** (integer): Status code (example: 422) - **detail** (string): Error detail (example: "The server understands the content type of the request entity, and the syntax of the request entity is correct but was unable to process the contained instructions") #### 429 - Too Many Requests **TooManyRequests** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Too Many Requests)): Error title ("Too Many Requests") - **status** (integer): Status code (example: 429) - **detail** (string): Error detail (example: "The user has sent too many requests in a given amount of time") #### 500 - Internal Server Error **InternalServerError** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Internal Server Error)): Error title ("Internal Server Error") - **status** (integer): Status code (example: 500) - **detail** (string): Error detail (example: "The server encountered an unexpected condition that prevented it from fulfilling the request") #### 503 - Service Unavailable **ServiceUnavailable** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Service Unavailable)): Error title ("Service Unavailable") - **status** (integer): Status code (example: 503) - **detail** (string): Error detail (example: "The server is currently unable to handle the request due to a temporary overload or scheduled maintenance, whichwill likely be alleviated after some delay") ### Example Usage ```bash curl -X GET "https://api.egoiapp.com/lists?offset=0&limit=10&order=desc&order_by=list_id&internal_name=string&public_name=string&created_min=value&created_max=value&updated_min=value&updated_max=value" ``` ``` -------------------------------- ### GET /trackengage/goals Source: https://api.egoiapp.com/openapi Returns all goals ```markdown ### Responses #### 200 - OK - **total_items** (integer): Returned goals (example: 1) - **items** (array (Goal)): Returned goals Array items: - **domain** (string): Domain where goal exists (example: "www.e-goi.com") - **name** (string): Goal name (example: "Button click") - **id** (number): Goal id (example: 1) - **config** (object): Manual goal info schema - **type** (string (manual)): Goal type ("manual") - **multiple_conversion** (boolean): Goal is multiple conversion (example: true) #### 401 - Unauthorized **Unauthorized** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unauthorized)): Error title ("Unauthorized") - **status** (integer): Status code (example: 401) - **detail** (string): Error detail (example: "The request has not been applied because it lacks valid authentication credentials for the target resource") #### 403 - Forbidden **Forbidden** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Forbidden)): Error title ("Forbidden") - **status** (integer): Status code (example: 403) - **detail** (string): Error detail (example: "The server understood the request but refuses to authorize it") #### 422 - Unprocessable Entity **UnprocessableEntity** - **errors** (object): Information about the input validation - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unprocessable Entity)): Error title ("Unprocessable Entity") - **status** (integer): Status code (example: 422) - **detail** (string): Error detail (example: "The server understands the content type of the request entity, and the syntax of the request entity is correct but was unable to process the contained instructions") #### 429 - Too Many Requests **TooManyRequests** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Too Many Requests)): Error title ("Too Many Requests") - **status** (integer): Status code (example: 429) - **detail** (string): Error detail (example: "The user has sent too many requests in a given amount of time") #### 500 - Internal Server Error **InternalServerError** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Internal Server Error)): Error title ("Internal Server Error") - **status** (integer): Status code (example: 500) - **detail** (string): Error detail (example: "The server encountered an unexpected condition that prevented it from fulfilling the request") #### 503 - Service Unavailable **ServiceUnavailable** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Service Unavailable)): Error title ("Service Unavailable") - **status** (integer): Status code (example: 503) - **detail** (string): Error detail (example: "The server is currently unable to handle the request due to a temporary overload or scheduled maintenance, whichwill likely be alleviated after some delay") ### Example Usage ```bash curl -X GET "https://api.egoiapp.com/trackengage/goals" ``` ``` -------------------------------- ### GET /automations Source: https://api.egoiapp.com/openapi Returns all automations ```markdown ### Parameters - **automation_id** (integer, query, optional): Reference attribute to automation id - **title** (string, query, optional): Reference attribute to title - **created_by** (integer, query, optional): Reference attribute to created by - **list_id** (queryId, query, optional): ID of the list that owns the automation - **status** (string (active|inactive), query, optional): Automation status - **offset** (integer, query, optional): Element offset (starting at zero for the first element) - **limit** (integer, query, optional): Number of items to return - **order** (string (asc|desc), query, optional): Type of order - **order_by** (string (automation_id|title|list_id|created_by), query, optional): Reference attribute to order automations ### Responses #### 200 - OK - **total_items** (integer): Returned automations (example: 1) - **items** (array (Automation)): Returned automations Array items: - **automation_id** (integer) (example: 1) - **title** (string): Automation title (example: "Example Automation") - **list_id** (integer) (example: 1) - **status** (string (active|inactive)): Automation status ("active"|"inactive") - **created_by** (integer) (example: 1) - **allow_multiple_contacts** (boolean): True if the automation allows multiple contacts, false otherwise - **contact_limit** (integer): Contact limit for the automation. Contact limit value (value '0' is returned if contact limit is not enabled) (example: 10) - **created** (string (date)): The date (example: "YYYY-MM-DD") - **updated** (string (date)): The date (example: "YYYY-MM-DD") #### 401 - Unauthorized **Unauthorized** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unauthorized)): Error title ("Unauthorized") - **status** (integer): Status code (example: 401) - **detail** (string): Error detail (example: "The request has not been applied because it lacks valid authentication credentials for the target resource") #### 403 - Forbidden **Forbidden** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Forbidden)): Error title ("Forbidden") - **status** (integer): Status code (example: 403) - **detail** (string): Error detail (example: "The server understood the request but refuses to authorize it") #### 408 - Request Timeout **RequestTimeout** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Request Timeout)): Error title ("Request Timeout") - **status** (integer): Status code (example: 408) - **detail** (string): Error detail (example: "The server did not receive a complete request from the client within the server’s allotted timeout period") #### 422 - Unprocessable Entity **UnprocessableEntity** - **errors** (object): Information about the input validation - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unprocessable Entity)): Error title ("Unprocessable Entity") - **status** (integer): Status code (example: 422) - **detail** (string): Error detail (example: "The server understands the content type of the request entity, and the syntax of the request entity is correct but was unable to process the contained instructions") #### 429 - Too Many Requests **TooManyRequests** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Too Many Requests)): Error title ("Too Many Requests") - **status** (integer): Status code (example: 429) - **detail** (string): Error detail (example: "The user has sent too many requests in a given amount of time") #### 500 - Internal Server Error **InternalServerError** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Internal Server Error)): Error title ("Internal Server Error") - **status** (integer): Status code (example: 500) - **detail** (string): Error detail (example: "The server encountered an unexpected condition that prevented it from fulfilling the request") #### 503 - Service Unavailable **ServiceUnavailable** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Service Unavailable)): Error title ("Service Unavailable") - **status** (integer): Status code (example: 503) - **detail** (string): Error detail (example: "The server is currently unable to handle the request due to a temporary overload or scheduled maintenance, whichwill likely be alleviated after some delay") ### Example Usage ```bash curl -X GET "https://api.egoiapp.com/automations?automation_id=0&title=string&created_by=0&list_id=value&status=active&offset=0&limit=10&order=desc&order_by=automation_id" ``` ``` -------------------------------- ### GET /push/apps Source: https://api.egoiapp.com/openapi Get all Push applications from E-goi ```markdown ### Parameters - **list_id** (integer, query, optional): ID of the list to search for. ### Responses #### 200 - Ok - Array of AppStructure #### 401 - Unauthorized **Unauthorized** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unauthorized)): Error title ("Unauthorized") - **status** (integer): Status code (example: 401) - **detail** (string): Error detail (example: "The request has not been applied because it lacks valid authentication credentials for the target resource") #### 408 - Request Timeout **RequestTimeout** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Request Timeout)): Error title ("Request Timeout") - **status** (integer): Status code (example: 408) - **detail** (string): Error detail (example: "The server did not receive a complete request from the client within the server’s allotted timeout period") #### 422 - Unprocessable Entity **UnprocessableEntity** - **errors** (object): Information about the input validation - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unprocessable Entity)): Error title ("Unprocessable Entity") - **status** (integer): Status code (example: 422) - **detail** (string): Error detail (example: "The server understands the content type of the request entity, and the syntax of the request entity is correct but was unable to process the contained instructions") #### 500 - Internal Server Error **InternalServerError** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Internal Server Error)): Error title ("Internal Server Error") - **status** (integer): Status code (example: 500) - **detail** (string): Error detail (example: "The server encountered an unexpected condition that prevented it from fulfilling the request") #### 503 - Service Unavailable **ServiceUnavailable** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Service Unavailable)): Error title ("Service Unavailable") - **status** (integer): Status code (example: 503) - **detail** (string): Error detail (example: "The server is currently unable to handle the request due to a temporary overload or scheduled maintenance, whichwill likely be alleviated after some delay") ### Example Usage ```bash curl -X GET "https://api.egoiapp.com/push/apps?list_id=0" ``` ``` -------------------------------- ### GET /push/templates Source: https://api.egoiapp.com/openapi Returns all Push templates ```markdown ### Parameters - **offset** (integer, query, optional): Element offset (starting at zero for the first element) - **limit** (integer, query, optional): Number of items to return ### Responses #### 200 - OK - **total_items** (integer): Returned Push templates total size (example: 1) - **items** (array (TemplatePush)): Returned Push templates Array items: - **template_id** (integer) (example: 1) - **internal_name** (string): Name of the template (example: "Your template internal name") - **list_id** (integer): List ID (example: 1) - **campaign_hash** (string): Campaign Hash (example: "123456789abcdef") #### 401 - Unauthorized **Unauthorized** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unauthorized)): Error title ("Unauthorized") - **status** (integer): Status code (example: 401) - **detail** (string): Error detail (example: "The request has not been applied because it lacks valid authentication credentials for the target resource") #### 403 - Forbidden **Forbidden** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Forbidden)): Error title ("Forbidden") - **status** (integer): Status code (example: 403) - **detail** (string): Error detail (example: "The server understood the request but refuses to authorize it") #### 408 - Request Timeout **RequestTimeout** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Request Timeout)): Error title ("Request Timeout") - **status** (integer): Status code (example: 408) - **detail** (string): Error detail (example: "The server did not receive a complete request from the client within the server’s allotted timeout period") #### 422 - Unprocessable Entity **UnprocessableEntity** - **errors** (object): Information about the input validation - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unprocessable Entity)): Error title ("Unprocessable Entity") - **status** (integer): Status code (example: 422) - **detail** (string): Error detail (example: "The server understands the content type of the request entity, and the syntax of the request entity is correct but was unable to process the contained instructions") #### 429 - Too Many Requests **TooManyRequests** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Too Many Requests)): Error title ("Too Many Requests") - **status** (integer): Status code (example: 429) - **detail** (string): Error detail (example: "The user has sent too many requests in a given amount of time") #### 500 - Internal Server Error **InternalServerError** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Internal Server Error)): Error title ("Internal Server Error") - **status** (integer): Status code (example: 500) - **detail** (string): Error detail (example: "The server encountered an unexpected condition that prevented it from fulfilling the request") #### 503 - Service Unavailable **ServiceUnavailable** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Service Unavailable)): Error title ("Service Unavailable") - **status** (integer): Status code (example: 503) - **detail** (string): Error detail (example: "The server is currently unable to handle the request due to a temporary overload or scheduled maintenance, whichwill likely be alleviated after some delay") ### Example Usage ```bash curl -X GET "https://api.egoiapp.com/push/templates?offset=0&limit=10" ``` ``` -------------------------------- ### GET /catalogs Source: https://api.egoiapp.com/openapi Returns all catalogs ```markdown ### Responses #### 200 - OK - **total_items** (integer): Total of returned catalogs (example: 1) - **items** (array (Catalog)): List of catalogs Array items: - **catalog_id** (integer) (example: 1) - **title** (string): Title of the catalog (example: "Catalog title") - **default** (boolean): Default catalog (example: "false") - **domain** (string): Domain or phisical store alias (example: "egoi.com") - **language** (string): Language of the catalog (example: "en") - **currency** (string): Currency of the catalog (example: "eur") - **created** (string (date-time)): The date and time (example: "YYYY-MM-DD hh:mm:ss") - **updated** (string (date-time)): The date and time (example: "YYYY-MM-DD hh:mm:ss") #### 401 - Unauthorized **Unauthorized** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unauthorized)): Error title ("Unauthorized") - **status** (integer): Status code (example: 401) - **detail** (string): Error detail (example: "The request has not been applied because it lacks valid authentication credentials for the target resource") #### 403 - Forbidden **Forbidden** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Forbidden)): Error title ("Forbidden") - **status** (integer): Status code (example: 403) - **detail** (string): Error detail (example: "The server understood the request but refuses to authorize it") #### 408 - Request Timeout **RequestTimeout** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Request Timeout)): Error title ("Request Timeout") - **status** (integer): Status code (example: 408) - **detail** (string): Error detail (example: "The server did not receive a complete request from the client within the server’s allotted timeout period") #### 429 - Too Many Requests **TooManyRequests** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Too Many Requests)): Error title ("Too Many Requests") - **status** (integer): Status code (example: 429) - **detail** (string): Error detail (example: "The user has sent too many requests in a given amount of time") #### 500 - Internal Server Error **InternalServerError** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Internal Server Error)): Error title ("Internal Server Error") - **status** (integer): Status code (example: 500) - **detail** (string): Error detail (example: "The server encountered an unexpected condition that prevented it from fulfilling the request") #### 503 - Service Unavailable **ServiceUnavailable** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Service Unavailable)): Error title ("Service Unavailable") - **status** (integer): Status code (example: 503) - **detail** (string): Error detail (example: "The server is currently unable to handle the request due to a temporary overload or scheduled maintenance, whichwill likely be alleviated after some delay") ### Example Usage ```bash curl -X GET "https://api.egoiapp.com/catalogs" ``` ``` -------------------------------- ### GET /cnames Source: https://api.egoiapp.com/openapi Returns all cnames ```markdown ### Responses #### 200 - OK - **total_items** (integer): Total number of cnames returned (example: 1) - **items** (array (CName)): Returned cnames Array items: - **cname_id** (integer) (example: 1) - **value** (string): CName value (example: "mkt.example.com") - **status** (string (verified|unverified|recent|invalid|private)): CName status ("verified"|"unverified"|"recent"|"invalid"|"private") #### 401 - Unauthorized **Unauthorized** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unauthorized)): Error title ("Unauthorized") - **status** (integer): Status code (example: 401) - **detail** (string): Error detail (example: "The request has not been applied because it lacks valid authentication credentials for the target resource") #### 403 - Forbidden **Forbidden** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Forbidden)): Error title ("Forbidden") - **status** (integer): Status code (example: 403) - **detail** (string): Error detail (example: "The server understood the request but refuses to authorize it") #### 408 - Request Timeout **RequestTimeout** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Request Timeout)): Error title ("Request Timeout") - **status** (integer): Status code (example: 408) - **detail** (string): Error detail (example: "The server did not receive a complete request from the client within the server’s allotted timeout period") #### 422 - Unprocessable Entity **UnprocessableEntity** - **errors** (object): Information about the input validation - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unprocessable Entity)): Error title ("Unprocessable Entity") - **status** (integer): Status code (example: 422) - **detail** (string): Error detail (example: "The server understands the content type of the request entity, and the syntax of the request entity is correct but was unable to process the contained instructions") #### 429 - Too Many Requests **TooManyRequests** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Too Many Requests)): Error title ("Too Many Requests") - **status** (integer): Status code (example: 429) - **detail** (string): Error detail (example: "The user has sent too many requests in a given amount of time") #### 500 - Internal Server Error **InternalServerError** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Internal Server Error)): Error title ("Internal Server Error") - **status** (integer): Status code (example: 500) - **detail** (string): Error detail (example: "The server encountered an unexpected condition that prevented it from fulfilling the request") #### 503 - Service Unavailable **ServiceUnavailable** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Service Unavailable)): Error title ("Service Unavailable") - **status** (integer): Status code (example: 503) - **detail** (string): Error detail (example: "The server is currently unable to handle the request due to a temporary overload or scheduled maintenance, whichwill likely be alleviated after some delay") ### Example Usage ```bash curl -X GET "https://api.egoiapp.com/cnames" ``` ``` -------------------------------- ### GET /tags Source: https://api.egoiapp.com/openapi Returns all tags ```markdown ### Parameters - **offset** (integer, query, optional): Element offset (starting at zero for the first element) - **limit** (integer, query, optional): Number of items to return - **order** (string (asc|desc), query, optional): Type of order - **order_by** (string (tag_id|name|color), query, optional): Reference attribute to order tags ### Responses #### 200 - OK - **total_items** (integer): Returned tags (example: 1) - **items** (array (Tag)): Returned tags Array items: - **tag_id** (integer) (example: 1) - **name** (string): Name of the tag (example: "Your custom tag") - **color** (string): Main color of the tag (example: "#FFFFFF") #### 401 - Unauthorized **Unauthorized** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unauthorized)): Error title ("Unauthorized") - **status** (integer): Status code (example: 401) - **detail** (string): Error detail (example: "The request has not been applied because it lacks valid authentication credentials for the target resource") #### 403 - Forbidden **Forbidden** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Forbidden)): Error title ("Forbidden") - **status** (integer): Status code (example: 403) - **detail** (string): Error detail (example: "The server understood the request but refuses to authorize it") #### 408 - Request Timeout **RequestTimeout** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Request Timeout)): Error title ("Request Timeout") - **status** (integer): Status code (example: 408) - **detail** (string): Error detail (example: "The server did not receive a complete request from the client within the server’s allotted timeout period") #### 422 - Unprocessable Entity **UnprocessableEntity** - **errors** (object): Information about the input validation - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unprocessable Entity)): Error title ("Unprocessable Entity") - **status** (integer): Status code (example: 422) - **detail** (string): Error detail (example: "The server understands the content type of the request entity, and the syntax of the request entity is correct but was unable to process the contained instructions") #### 429 - Too Many Requests **TooManyRequests** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Too Many Requests)): Error title ("Too Many Requests") - **status** (integer): Status code (example: 429) - **detail** (string): Error detail (example: "The user has sent too many requests in a given amount of time") #### 500 - Internal Server Error **InternalServerError** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Internal Server Error)): Error title ("Internal Server Error") - **status** (integer): Status code (example: 500) - **detail** (string): Error detail (example: "The server encountered an unexpected condition that prevented it from fulfilling the request") #### 503 - Service Unavailable **ServiceUnavailable** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Service Unavailable)): Error title ("Service Unavailable") - **status** (integer): Status code (example: 503) - **detail** (string): Error detail (example: "The server is currently unable to handle the request due to a temporary overload or scheduled maintenance, whichwill likely be alleviated after some delay") ### Example Usage ```bash curl -X GET "https://api.egoiapp.com/tags?offset=0&limit=10&order=desc&order_by=tag_id" ``` ``` -------------------------------- ### GET /my-account Source: https://api.egoiapp.com/openapi My Account Info ```markdown ### Responses #### 200 - OK **MyAccount** - **general_info** (object): General Info - **name** (string): Name - **website** (string): Website - **cellphone** (string): Cellphone - **client_id** (string): Client id - **billing_info** (object): Billing Info - **type** (string (single_person|company)): Type billing ("single_person"|"company") - **company_legal_name** (string): Company legal name - **vat_number** (string): Vat number - **country** (object): Country - **country_code** (string): Country Code - **city** (string): City - **state** (string): State - **address1** (string): Address 1 - **address2** (string): Address 2 - **zip_code** (string): Zip Code - **invoice_comments** (string): Invoice Comments - **plan_info** (object): Plan Info - **type** (string (enterprise|free|pro|starter|trial|base)): Return free if the plan in use is free and paid otherwise. ("enterprise"|"free"|"pro"|"starter"|"trial"|"base") - **balance_info** (object): Balance Info - **balance** (string): Account's credits - **currency** (string): Credit's currency - **module_info** (object): Module Info - **te** (object): Account's credits - **enabled** (boolean): Track&Engage is Enabled #### 401 - Unauthorized **Unauthorized** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unauthorized)): Error title ("Unauthorized") - **status** (integer): Status code (example: 401) - **detail** (string): Error detail (example: "The request has not been applied because it lacks valid authentication credentials for the target resource") #### 403 - Forbidden **Forbidden** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Forbidden)): Error title ("Forbidden") - **status** (integer): Status code (example: 403) - **detail** (string): Error detail (example: "The server understood the request but refuses to authorize it") #### 408 - Request Timeout **RequestTimeout** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Request Timeout)): Error title ("Request Timeout") - **status** (integer): Status code (example: 408) - **detail** (string): Error detail (example: "The server did not receive a complete request from the client within the server’s allotted timeout period") #### 422 - Unprocessable Entity **UnprocessableEntity** - **errors** (object): Information about the input validation - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Unprocessable Entity)): Error title ("Unprocessable Entity") - **status** (integer): Status code (example: 422) - **detail** (string): Error detail (example: "The server understands the content type of the request entity, and the syntax of the request entity is correct but was unable to process the contained instructions") #### 429 - Too Many Requests **TooManyRequests** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Too Many Requests)): Error title ("Too Many Requests") - **status** (integer): Status code (example: 429) - **detail** (string): Error detail (example: "The user has sent too many requests in a given amount of time") #### 500 - Internal Server Error **InternalServerError** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Internal Server Error)): Error title ("Internal Server Error") - **status** (integer): Status code (example: 500) - **detail** (string): Error detail (example: "The server encountered an unexpected condition that prevented it from fulfilling the request") #### 503 - Service Unavailable **ServiceUnavailable** - **type** (string): RFC for status code definitions (example: "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html") - **title** (string (Service Unavailable)): Error title ("Service Unavailable") - **status** (integer): Status code (example: 503) - **detail** (string): Error detail (example: "The server is currently unable to handle the request due to a temporary overload or scheduled maintenance, whichwill likely be alleviated after some delay") ### Example Usage ```bash curl -X GET "https://api.egoiapp.com/my-account" ``` ```